Download it now!
Bug 84455 - UI: HELP: Missing hint that {Edit ► Changes ► Record} will disable {Data ► Group and Outline ► Group}
Summary: UI: HELP: Missing hint that {Edit ► Changes ► Record} will disable {Data ► ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Bala
URL:
Whiteboard: BSA target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2014-09-29 08:59 UTC by Bugcruncher
Modified: 2020-12-30 19:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-09-29 08:59:13 UTC
Problem description: 
If recording of changes is enabled it is impossible to create Groups, what also might be a bug. But as long as group does not work with enabled recording for changes that limitation should be mentioned in help

Steps to reproduce:
1. Open empty new spreadsheet
2. Move mouse pointer to {Data  ► Group and Outline ► Group}
3. <f1>
   » Help will be shown, no hint concerning limitation
4. {go back to spreadsheet  ► Select columns F:G ► menu Data
   ► Group and Outline ► Group}
   » Group will be created
5. Menu  {Edit  ► Changes ► Record}
6. Menu {Data ► Group and Outline ► Group}
   » Is greyed, will not work 


Operating System: Windows 7
Version: 4.4.0.0.alpha0+ Master
Comment 1 Buovjaga 2014-11-14 16:18:56 UTC
Reproduced the "changes blocking creation of groups" -issue.
I think you should create a new bug for the help issue.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 2 QA Administrators 2015-12-20 16:11:54 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:47:57 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2020-12-23 22:27:54 UTC
Balaharipreetha Muthu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d462827fcf95d41e1735ca44c85622a1675fec6c

tdf#84455 - Add note : Group doesn't work with track changes on.